<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package education-monal
 */

?>

<footer class="primary-footer">
    <div class=" container">
        <?php if (
            is_active_sidebar('footer-1') ||
            is_active_sidebar('footer-2') ||
            is_active_sidebar('footer-3') ||
            is_active_sidebar('footer-4')
        ) {
        ?>

        <div class="footer-grid edu-grid-box edu-grid-4 edu-md-grid-2 footer-padding">
            <?php
                dynamic_sidebar('footer-1');
                dynamic_sidebar('footer-2');
                dynamic_sidebar('footer-3');
                dynamic_sidebar('footer-4');
                ?>
        </div>
        <?php
        } ?>
    </div>
    <?php if (esc_attr(get_theme_mod('copyright_display', 'show') == 'show')) {
    ?>
    <section class="copyright">
        <div class="container">

            <?php
                $copyright_text = get_theme_mod('copyright_text_footer', '© 2020 - WordPress Theme : education-monal');
                echo esc_html($copyright_text);
                ?>

            </p>
        </div>
    </section>
    <!-- .site-info -->
    <?php
    } ?>

</footer>
</div><!-- #page -->

<?php wp_footer(); ?>

</body>

</html>