/// Slider
var monal_education_slider = document.querySelectorAll('.glide');
for (i = 0; i < monal_education_slider.length; ++i) {
    if (monal_education_slider[i]) {
        var glide = new Glide(monal_education_slider[i], {
            type: 'slider',
            perView: 1,
            dragDistance: false,
            loop: true,
            breakpoints: ({
                600: {
                    perView: 1
                },
                800: {
                    perView: 1
                }
            })
        });
        glide.mount();
    }
}


function monal_education_openside() {
    document.getElementById("sidenav").classList.add('side-open');
    document.getElementById("background-dark").classList.add('background-show');
    var closeMenu = document.getElementById("cross-now");
    var menutrapper = document.getElementById("sidenav");
    closeMenu.classList.add('visible');
    closeMenu.focus();
    menutrapper.classList.add('focustrap');
    monal_education_trap();

}

function monal_education_closeside() {
    document.getElementById("sidenav").classList.remove('side-open');
    document.getElementById("background-dark").classList.remove('background-show');
    var openBtn = document.getElementById("ham-open");
    var menutrapper = document.getElementById("sidenav");
    openBtn.classList.add('visible');
    menutrapper.classList.remove('focustrap');
    openBtn.focus();
}

// Search Open
function monal_education_searchopen() {
    const show = document.getElementById('search-show');
    const field = document.getElementById('search-input');
    show.classList.add('search-trans');
    show.classList.add('focustrap');
    show.focus();
    monal_education_trap();
}

function monal_education_searchclose() {
    const show = document.getElementById('search-show');
    const searchbtn = document.getElementById('search-open');
    show.classList.remove('search-trans');
    show.classList.remove('focustrap');
    searchbtn.focus();
}


// Focus Trapping Function 

function monal_education_trap() {
    const focusableElements =
        'button, [href], input:not([type=hidden]), select, textarea, [tabindex]:not([tabindex="-1"])';
    const modal = document.querySelector('.focustrap'); // select the modal by it's class

    if (modal) {
        const firstFocusableElement = modal.querySelectorAll(focusableElements)[0]; // get first element to be focused inside modal
        const focusableContent = modal.querySelectorAll(focusableElements);
        const lastFocusableElement = focusableContent[focusableContent.length - 1]; // get last element to be focused inside modal


        document.addEventListener('keydown', function (e) {
            let isTabPressed = e.key === 'Tab' || e.keyCode === 9;

            if (!isTabPressed) {
                return;
            }

            if (e.shiftKey) { // if shift key pressed for shift + tab combination
                if (document.activeElement === firstFocusableElement) {
                    lastFocusableElement.focus(); // add focus for the last focusable element
                    e.preventDefault();
                }
            } else { // if tab key is pressed
                if (document.activeElement === lastFocusableElement) { // if focused has reached to last focusable element then focus first focusable element after pressing tab
                    firstFocusableElement.focus(); // add focus for the first focusable element
                    e.preventDefault();
                }
            }
        });

        firstFocusableElement.focus();
    }

}



window.addEventListener("load", function () {
    const checkHeader = document.querySelector(".stickjs");
    if (checkHeader) {
        var prevScrollpos = window.pageYOffset;
        window.onscroll = function () {
            var currentScrollPos = window.pageYOffset;
            if (prevScrollpos > currentScrollPos) {
                checkHeader.style.top = "0";
            } else {
                checkHeader.style.top = "-240px";
            }
            prevScrollpos = currentScrollPos;
        }
    } else {
        return;
    }

});