<?php

/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package education-monal
 */

get_header();
?>

<main id="primary" class="site-main container" style="margin-top:20px">

    <section class="error-404 not-found bg-white" style=" height:80vh; display:flex; justify-content:center; align-items:center;flex-direction: column;">
        <h1 style="font-size:180px; text-align: center; margin:0;"><?php echo esc_html('404', 'education-monal') ?></h1>
        <header class="page-header" style="text-align:center;">
            <h1 class="page-title">
                <?php esc_html_e('Oops! That page can&rsquo;t be found.', 'education-monal'); ?></h1>
        </header><!-- .page-header -->

        <div class="page-content" style="text-align:center;">
            <p><?php esc_html_e('It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'education-monal'); ?>
            </p>

            <?php
            get_search_form();


            ?>


        </div><!-- .page-content -->
    </section><!-- .error-404 -->

</main><!-- #main -->