<?php /* Template Name: Courses Template */ ?>

<?php
/**
 * The template for displaying homepage
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Education
 */

get_header();
?>


<main class="site-main courses-template section-single-padding">
    <div class="singlepage-grid edu-grid-box container">
        <div class="single-page-content">
            <?php
            if (have_posts()) :
                while (have_posts()) :
                    the_post();
            ?>
            <?php
                    if (get_the_content()) {
                    ?>
            <div class="container">
                <div class="home-content">
                    <?php monal_education_breadcrumb() ?>
                    <h1 class="single-title" style="margin-bottom:20px;"> <?php the_title(); ?></h1>
                    <div class="featured-image" style="margin-bottom:20px;">
                        <?php monal_education_post_thumbnail(); ?>
                    </div>
                    <?php
                                the_content(); ?>
                </div>
            </div>
            <?php
                    }
                    wp_reset_query();
                    ?>
            <?php
                endwhile;

            endif;
            ?>
        </div>
        <aside id="secondary" class="widget-area edu-sidebar">
            <section id="recent_widget-2" class="widget widget_recent_widget">

                <div class="container">
                    <h2 class="sidebar-title" style="margin-bottom:20px;"><strong> Other Courses </strong>
                    </h2>

                    <?php

                    $query = new WP_Query(array('meta_key' => '_wp_page_template', 'meta_value' => 'courses.php', 'post_type' => 'page'));

                    if ($query->have_posts()) :
                        while ($query->have_posts()) : $query->the_post();
                    ?>
                    <div class="related-container flex">
                        <a class="left-width" href="<?php the_permalink() ?>">
                            <div class="imgbox related-height">
                                <?php if (get_the_post_thumbnail_url()) {
                                            the_post_thumbnail('medium');
                                        } ?>
                            </div>
                        </a>
                        <div class="related-desc right-width">
                            <a href="<?php the_permalink() ?>">
                                <h3 class="recent-title"> <?php echo get_the_title() ?></h3>
                            </a>
                        </div>
                    </div>
                    <?php
                        endwhile; // end of the loop. 
                    endif;
                    ?>
                </div>
            </section>
        </aside>
    </div>

</main><!-- #main -->

<main>
</main>
<?php
get_footer();