<?php
$wp_customize->add_panel('monal_education_head_info', array(
    'title' => __('Head Info', 'education-monal'),
    'description' => '',
    'priority' => 12,
));

// InfoBox 1 
$wp_customize->add_section('infobox1', array(
    'title'   => __('Infobox 1', 'education-monal'),
    'priority'    => 131,
    'panel' => 'monal_education_head_info',
));

$wp_customize->add_setting("infobox1_icon", array(
    'default'   => '',
    'sanitize_callback' => 'esc_url_raw',
    'type'      => 'theme_mod'
));
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'infobox1_icon', array(
    'label'   => __('Slider Image', 'education-monal'),
    'section' => "infobox1",
    'settings' => "infobox1_icon",
    'priority'  => 6
)));
$wp_customize->add_setting('infobox1_heading', array(
    'default'   => __(' Free Online Classes', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('infobox1_heading', array(
    'label'   => __('Sub Heading', 'education-monal'),
    'section' => 'infobox1',
    'priority'  => 7
));

$wp_customize->add_setting('infobox1_normal_text', array(
    'default'   => __('Most of the classes we provide are free and will hep you further into your career', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('infobox1_normal_text', array(
    'label'   => __('Normal Text', 'education-monal'),
    'section' => 'infobox1',
    'priority'  => 8
));


// InfoBox 2
$wp_customize->add_section('infobox2', array(
    'title'   => __('InfoBox 2', 'education-monal'),
    'priority'    => 131,
    'panel' => 'monal_education_head_info',
));

$wp_customize->add_setting("infobox2_icon", array(
    'default'   => '',
    'type'      => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'infobox2_icon', array(
    'label'   => __('Image', 'education-monal'),
    'section' => "infobox2",
    'settings' => "infobox2_icon",
    'priority'  => 6
)));
$wp_customize->add_setting('infobox2_heading', array(
    'default'   => __('Important Lessons', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('infobox2_heading', array(
    'label'   => __('Sub Heading', 'education-monal'),
    'section' => 'infobox2',
    'priority'  => 7
));

$wp_customize->add_setting('infobox2_normal_text', array(
    'default'   => __('Our lessons are important. So you can make the most out of them.', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('infobox2_normal_text', array(
    'label'   => __('Normal Text', 'education-monal'),
    'section' => 'infobox2',
    'priority'  => 8
));

// InfoBox 3
$wp_customize->add_section('infobox3', array(
    'title'   => __('InfoBox 3', 'education-monal'),
    'priority'    => 131,
    'panel' => 'monal_education_head_info',
));

$wp_customize->add_setting("infobox3_icon", array(
    'default'   => '',
    'type'      => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'infobox3_icon', array(
    'label'   => __('Image', 'education-monal'),
    'section' => "infobox3",
    'settings' => "infobox3_icon",
    'priority'  => 6
)));
$wp_customize->add_setting('infobox3_heading', array(
    'default'   => __('Guaranteed Certificate', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('infobox3_heading', array(
    'label'   => __('Sub Heading', 'education-monal'),
    'section' => 'infobox3',
    'priority'  => 7
));

$wp_customize->add_setting('infobox3_normal_text', array(
    'default'   => __('After the course completion we provide you with the certificate', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('infobox3_normal_text', array(
    'label'   => __('Normal Text', 'education-monal'),
    'section' => 'infobox3',
    'priority'  => 8
));