<?php
$wp_customize->add_panel('monal_education_slider', array(
    'title' => __('Head Slider', 'education-monal'),
    'description' => sprintf(__('To show and edit number of slider', 'education-monal')),
    'priority' => 12,
));

// Slider 1 
$wp_customize->add_section('box_1', array(
    'title'   => __('Slide 1', 'education-monal'),
    'priority'    => 131,
    'panel' => 'monal_education_slider',
));

$wp_customize->add_setting("box_1_image", array(
    'type'      => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'box_1_image', array(
    'label'   => __('Slider Image', 'education-monal'),
    'section' => "box_1",
    'settings' => "box_1_image",
    'priority'  => 6
)));
$wp_customize->add_setting('box_1_heading', array(
    'default'   => __('Welcome to Institute of Technology', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_1_heading', array(
    'label'   => __('Heading', 'education-monal'),
    'section' => 'box_1',
    'priority'  => 7
));

$wp_customize->add_setting('box_1_normal_text', array(
    'default'   => __('The Only Place to Learn From the Best. The classes we provide will help you in your career', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_1_normal_text', array(
    'label'   => __('Normal Text', 'education-monal'),
    'section' => 'box_1',
    'priority'  => 8
));
$wp_customize->add_setting('box_1_btn_text', array(
    'default'   => __('Read More', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_1_btn_text', array(
    'label'   => __('Button Text', 'education-monal'),
    'section' => 'box_1',
    'priority'  => 10
));
$wp_customize->add_setting('box_1_btn_url', array(
    'default'   => __('#', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_1_btn_url', array(
    'label'   => __('Button URL', 'education-monal'),
    'section' => 'box_1',
    'priority'  => 11
));


// Slider 2
$wp_customize->add_section('box_2', array(
    'title'   => __('Slide 2', 'education-monal'),
    'priority'    => 131,
    'panel' => 'monal_education_slider',
));

$wp_customize->add_setting("box_2_image", array(
    'type'      => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'box_2_image', array(
    'label'   => __('Slider Image', 'education-monal'),
    'section' => "box_2",
    'settings' => "box_2_image",
    'priority'  => 6
)));
$wp_customize->add_setting('box_2_heading', array(
    'default'   => __('Welcome to Institute of Technology', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_2_heading', array(
    'label'   => __('Heading', 'education-monal'),
    'section' => 'box_2',
    'priority'  => 7
));


$wp_customize->add_setting('box_2_normal_text', array(
    'default'   => __('The Only Place to Learn From the Best. The classes we provide will help you in your career', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_2_normal_text', array(
    'label'   => __('Normal Text', 'education-monal'),
    'section' => 'box_2',
    'priority'  => 8
));

$wp_customize->add_setting('box_2_btn_text', array(
    'default'   => __('Read More', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_2_btn_text', array(
    'label'   => __('Button Text', 'education-monal'),
    'section' => 'box_2',
    'priority'  => 10
));
$wp_customize->add_setting('box_2_btn_url', array(
    'default'   => __('#', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_2_btn_url', array(
    'label'   => __('Button URL', 'education-monal'),
    'section' => 'box_2',
    'priority'  => 11
));



// Slider 3
$wp_customize->add_section('box_3', array(
    'title'   => __('Slide 3', 'education-monal'),
    'priority'    => 131,
    'panel' => 'monal_education_slider',
));

$wp_customize->add_setting("box_3_image", array(
    'type'      => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'box_3_image', array(
    'label'   => __('Slider Image', 'education-monal'),
    'section' => "box_3",
    'settings' => "box_3_image",
    'priority'  => 6
)));
$wp_customize->add_setting('box_3_heading', array(
    'default'   => __('Welcome to Institute of Technology', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_3_heading', array(
    'label'   => __('Heading', 'education-monal'),
    'section' => 'box_3',
    'priority'  => 7
));


$wp_customize->add_setting('box_3_normal_text', array(
    'default'   => __('The Only Place to Learn From the Best. The classes we provide will help you in your career', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_3_normal_text', array(
    'label'   => __('Normal Text', 'education-monal'),
    'section' => 'box_3',
    'priority'  => 8
));


$wp_customize->add_setting('box_3_btn_text', array(
    'default'   => __('Read More', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_3_btn_text', array(
    'label'   => __('Button Text', 'education-monal'),
    'section' => 'box_3',
    'priority'  => 10
));
$wp_customize->add_setting('box_3_btn_url', array(
    'default'   => __('#', 'education-monal'),
    'sanitize_callback' => 'sanitize_text_field',
    'type'      => 'theme_mod'
));
$wp_customize->add_control('box_3_btn_url', array(
    'label'   => __('Button URL', 'education-monal'),
    'section' => 'box_3',
    'priority'  => 11
));