<?php

/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package education-monal
 */

?>
<div class="single-grid">
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

        <div class="course-list-box">

            <?php monal_education_post_thumbnail(); ?>

            <div class="course-list-desc">
                <?php the_title(sprintf('<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h2>'); ?>
                <?php if ('post' === get_post_type()) : ?>
                <div class="entry-meta">
                    <?php
                        monal_education_posted_on();
                        monal_education_posted_by();
                        monal_education_categories_list();
                        monal_education_tags_list();


                        ?>
                </div><!-- .entry-meta -->
                <?php endif; ?>

                <div class="entry-summary">
                    <?php the_excerpt(); ?>
                </div><!-- .entry-summary -->

                <footer class="entry-footer">
                    <?php monal_education_entry_footer(); ?>
                </footer><!-- .entry-footer -->

            </div>
        </div>
    </article><!-- #post-<?php the_ID(); ?> -->
</div>